• Global community
    • Language:
      • Deutsch
      • English
      • Español
      • Français
      • Português
  • 日本語コミュニティ
    Dedicated community for Japanese speakers
  • 한국 커뮤니티
    Dedicated community for Korean speakers
Exit
34

P: SDK to allow devices (e.g. Loupedeck, Monogram, Contour Shuttle, Tourbox)

LEGEND ,
Jan 28, 2019 Jan 28, 2019

Copy link to clipboard

Copied

My previous setup was like this:
X-T1 + lightroom 6 + loupedeck

after upgrading to X-T3 my lightroom 6 turned out to be outdated so I upgraded to lightroom CC

but now loupedeck is not working at all, and here is a statement from that company:
Currently only Classic CC is supported due to the way Adobe has constructed their software. Lightroom CC does not have the required framework to support SDK or extended plugin support. 
We would love to support Lr CC but at this given moment it is not possible.

It would be great if my loupedeck can work out of the box with CC on desktop for windows 🙂

Idea No status
TOPICS
macOS , SDK , Windows

Views

2.3K

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
35 Comments
Engaged ,
Jan 08, 2019 Jan 08, 2019

Copy link to clipboard

Copied

I have a loupedeck, and I know it works with lightroom classic CC. but does it work with Lightroom CC? I can't get it to work.

Moderator: Moved from Lightroom Classic CC — The desktop-focused app to Lightroom CC — The cloud-based photo service

Votes

Translate

Translate

Report

Report
LEGEND ,
Jan 09, 2019 Jan 09, 2019

Copy link to clipboard

Copied

What Loupedeck model, Their are two.

LoupeDeck (original)

LoupeDeck+

In the following link, LightRoom section , look for “My LightRoom Dosen’t Seem To Work With Loupedeck”. Bit if confusing info, Might work on LoupeDeck+ with Beta2 of the configuration software?? But will not work on LoupeDeck (original). That is Lightroom CC.

https://loupedeck.com/support/

Votes

Translate

Translate

Report

Report
Engaged ,
Jan 09, 2019 Jan 09, 2019

Copy link to clipboard

Copied

Sorry. I have Loupedeck+. It works good on Lightroom Classic but not Lightroom CC.

Votes

Translate

Translate

Report

Report
LEGEND ,
Jan 09, 2019 Jan 09, 2019

Copy link to clipboard

Copied

Check on that Beta v2 update

Votes

Translate

Translate

Report

Report
Engaged ,
Jan 09, 2019 Jan 09, 2019

Copy link to clipboard

Copied

I'm trying. I went to loupedeck website and its not there.

Votes

Translate

Translate

Report

Report
LEGEND ,
Jan 09, 2019 Jan 09, 2019

Copy link to clipboard

Copied

Probably:

https://loupedeck.com/setup/

Select MAC 2.5  or WIN 2.5 (looks like they got past Beta version)

Note issue at bottom of that web page if you have Mac OS 10.11 or older

Votes

Translate

Translate

Report

Report
Engaged ,
Jan 09, 2019 Jan 09, 2019

Copy link to clipboard

Copied

Ok, then I did that right off the bat.. Somethings wrong. maybe reload software.

Votes

Translate

Translate

Report

Report
LEGEND ,
Jan 09, 2019 Jan 09, 2019

Copy link to clipboard

Copied

While I do not have the Plus version, so the v2.5 will not work, I did download it (the Windows 2.5) for curiosity and to check, Looked at the zip file, looked at the PDF, looks like its what you want.

So, you downloaded it, Unzipped it, then ran it? Note, not all programs behave well if you run then from the zipped folder, sometimes you need to unzip.

Votes

Translate

Translate

Report

Report
Engaged ,
Jan 09, 2019 Jan 09, 2019

Copy link to clipboard

Copied

I all ways unzip

Votes

Translate

Translate

Report

Report
Community Beginner ,
Jan 21, 2019 Jan 21, 2019

Copy link to clipboard

Copied

According to Loupedeck's twitter... "We don't have access to CC's SDK at this time. If/when we do, then we will provide support."

Votes

Translate

Translate

Report

Report
Participant ,
Feb 02, 2019 Feb 02, 2019

Copy link to clipboard

Copied

I think LoupeDeck is going to be a key tool for serious Lightroom users. Adobe should probably develop a relationship with the LoupeDeck people and work together to make the control surface as awesome as possible in all Adobe products. Having the most efficient workflow is the key to keeping professional users hooked on Adobe products.

Votes

Translate

Translate

Report

Report
Community Beginner ,
Jun 19, 2019 Jun 19, 2019

Copy link to clipboard

Copied

Please enable this, now that you've encouraged pros to upgrade, you need to enable us to use pro tools with our software!  It would be great to support Loupedeck, or other control surfaces!

Votes

Translate

Translate

Report

Report
LEGEND ,
Sep 04, 2019 Sep 04, 2019

Copy link to clipboard

Copied



Ever since adobe released the updated, beautiful and modern version of Photoshop lightroom for desktop I was so happy and its been my go to editor as a Professional Photographer but... My biggest dream would be if adobe could offer and release their apk to third party developers like the folks over at Loupdeck the amazing console for editing, you have done it with Lightroom Classic and it would be absolutely amazing to see the same support with the new Photoshop Lightroom. Please make my dreams come true 🙂

Votes

Translate

Translate

Report

Report
New Here ,
Dec 26, 2019 Dec 26, 2019

Copy link to clipboard

Copied

Any idea at all when Loopdeck will get support for LIGHTROOM CC?

Votes

Translate

Translate

Report

Report
Dec 26, 2019 Dec 26, 2019

Copy link to clipboard

Copied

Hi there,

 

Our Engineering team is working with our partners on the Loupedeck support. Please feel free to add your vote and feedback to the below discussion where our Engineers are tracking this request: 

https://feedback.photoshop.com/photoshop_family/topics/loupedeck-support-for-lightroom-cc-on-desktop

 

Thanks,

Akash

Votes

Translate

Translate

Report

Report
LEGEND ,
Dec 26, 2019 Dec 26, 2019

Copy link to clipboard

Copied

I completely agree it’s nearly 2020 let’s be able to use Loopdeck on CC Lightroom!

Votes

Translate

Translate

Report

Report
LEGEND ,
Dec 26, 2019 Dec 26, 2019

Copy link to clipboard

Copied

Please adobe integrate Loupedeck for your beautiful Lightroom CC on Desktop, I know there may only be a few votes here but there are so many people out there that would be absolutely thrilled, would finally make my workflow perfect and solely adobe based. 

Votes

Translate

Translate

Report

Report
LEGEND ,
Jul 26, 2020 Jul 26, 2020

Copy link to clipboard

Copied

I'd like to get a Loupedeck but holding off on purchasing one until Lightroom CC (desktop) support is added.

Votes

Translate

Translate

Report

Report
LEGEND ,
Dec 03, 2020 Dec 03, 2020

Copy link to clipboard

Copied

2020 is almost over and still no SDK and still no Loupedeck support. I hate to but will have to switch back to Lightroom Classic so I can use the tool I love to work in a program that is antiquated.

Votes

Translate

Translate

Report

Report
New Here ,
Oct 22, 2021 Oct 22, 2021

Copy link to clipboard

Copied

Zojuist een Loupedeck+ gekocht, maar kom er nu achter dat deze alleen werkt met de lightroom classic en niet met de cloud versie van lightroom.
Is hier toevallig een oplossing voor of misschien binnen kort een update voor?

 

Just bought a Loupedeck+, but now find out that it only works with the lightroom classic and not with the cloud version of lightroom. Is there a workaround for this or maybe an update soon?

 

kind regarts Bart 

Votes

Translate

Translate

Report

Report
Community Expert ,
Oct 22, 2021 Oct 22, 2021

Copy link to clipboard

Copied

I use a Loupedeck+, and the website currently indicates support is only for Lightroom-Classic  (that includes the 'old' version of Classic that was called Lightroom 6, up to v6.14)

Ask for you money back from the supplier. (Not suited to use)

 

Rob_Cullen_0-1634958949474.png

 

Regards. My System: Lightroom-Classic 13.3.1 Photoshop 25.9, ACR 16.3.1, Lightroom 7.3, Lr-iOS 9.0.1, Bridge 14.1.0, Windows-11.

Votes

Translate

Translate

Report

Report
New Here ,
Oct 23, 2021 Oct 23, 2021

Copy link to clipboard

Copied

Dat is erg jammer. Ik had het inderdaad gelezen, maar dacht dat ik de nieuwste versie Lightroom had en dat het dus wel zou moeten werken. Heel vreemd dat hier geen update voor is.

 

That is ashame. I had indeed read it, but thought I had the latest version of Lightroom and that it should work. Very strange that there is no update for this. 

Votes

Translate

Translate

Report

Report
Community Expert ,
Oct 23, 2021 Oct 23, 2021

Copy link to clipboard

Copied

Dat is niet vreemd. Loupedeck gebruikt een plugin om met Lightroom te communiceren, maar Lightroom cloud ondersteunt geen plugins.

 

That isn't stange. Loupedeck uses a plugin to communicate with Lightroom, but Lightroom cloud does not support plugins.

 

-- Johan W. Elzenga

Votes

Translate

Translate

Report

Report
New Here ,
Jan 04, 2022 Jan 04, 2022

Copy link to clipboard

Copied

Are we having this update?

Votes

Translate

Translate

Report

Report
Community Beginner ,
Jan 27, 2022 Jan 27, 2022

Copy link to clipboard

Copied

Does Tourbox the Tour of work with the cloud based version of Lightroom or just Classic?

Votes

Translate

Translate

Report

Report